package com.liquidnet.service.kylin.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.liquidnet.service.kylin.dao.OrderExpressListDao;
import com.liquidnet.service.kylin.entity.KylinOrderExpress;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 订单快递 Mapper 接口 处理数据库
 * </p>
 *
 * @author jiangxiulong
 * @since 2021-06-27
 */
public interface KylinOrderExpressMapper extends BaseMapper<KylinOrderExpress> {

    List<OrderExpressListDao> selectPrintList(@Param("ids") List<String> ids);

    List<OrderExpressListDao> selectPrintListOfPerformanceId(
            @Param("performanceId") String performanceId,
            @Param("ticketId") String ticketId,
            @Param("mid") Integer mid,
            @Param("limitNum") Integer limitNum
    );

    List<KylinOrderExpress> getCanCancelExpressList(
            @Param("performanceId") String performanceId,
            @Param("mid") Integer mid,
            @Param("limitNum") Integer limitNum
    );
}
